#
# spec file for package telegraf
#
# Copyright (c) 2018 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           telegraf
Version:        1.6.0
Release:        1
License:        MIT
Summary:        The plugin-driven server agent for collecting & reporting metrics
Url:            https://github.com/influxdata/telegraf
Group:          System/Monitoring
Source:         %{name}-%{version}.tar.gz
Source1:        %{name}-deps.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  go >= 1.7
BuildRequires:  golang-packaging

## Features ##

## upstream request: https://github.com/influxdata/telegraf/issues/3785
Patch0:         feature_passive_amqp_exchange.patch

## /Features ##

%define _telegraf_dir %{_builddir}/src/github.com/influxdata/%{name}
%define _config_dir %{_sysconfdir}/%{name}

%description
Telegraf is an agent written in Go for collecting, processing, aggregating, and writing metrics.

Design goals are to have a minimal memory footprint with a plugin system so that developers in the community can
easily add support for collecting metrics from local or remote services.

%prep
tar xfvz ../SOURCES/%{name}-%{version}.tar.gz
%patch0
mkdir -p %{_telegraf_dir}
mv %{name}-%{version}/* %{_telegraf_dir}
tar -C %{_builddir}/src -xjvf %{SOURCE1}

%build
export GOPATH="%{_builddir}:$GOPATH"
export LDFLAGS="-buildmode=pie"
cd %{_telegraf_dir}
make %{name}

%install
mkdir -p %{buildroot}%{_bindir}
install -m755 %{_telegraf_dir}/%{name} %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}/%{_config_dir}
install -m644 %{_telegraf_dir}/etc/%{name}.conf %{buildroot}/%{_config_dir}

install -D -m 644 %{_telegraf_dir}/scripts/%{name}.service %{buildroot}%{_unitdir}/%{name}.service
sed -i '/User=/d' %{buildroot}%{_unitdir}/%{name}.service
mkdir -p %{buildroot}%{_sbindir}
ln -s /usr/sbin/service %{buildroot}%{_sbindir}/rc%{name}

%pre
%service_add_pre %{name}.service

%post
%service_add_post %{name}.service

%preun
%service_del_preun %{name}.service

%postun
%service_del_postun %{name}.service

%files
%{_sbindir}/rc%{name}
%{_unitdir}/%{name}.service
%doc src/github.com/influxdata/%{name}/CHANGELOG.md
%doc src/github.com/influxdata/%{name}/CONTRIBUTING.md
%license src/github.com/influxdata/%{name}/LICENSE
%doc src/github.com/influxdata/%{name}/README.md
%dir %{_config_dir}
%config %{_config_dir}/%{name}.conf
%{_bindir}/%{name}

%changelog
